Impossible de réparer les dépendances

2 replies [Last post]
Stem
Offline
Joined: 05/03/2017

Bonjour,

Je ne peux plus installer d'applis. À chaque fois, j'ai le message «Dépendances cassées». Je lance donc la commande «sudo apt-get install -f». Voilà ce que ça donne:

https://stemy.me/zerobin/?f2acb5b4c0070334#G1oAfvMf+HZ3VozhjYH57YJ7SsYpZ8LETkTUxcDtuQw=

Du coup, je ne sais pas ce que je dois faire.

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Tu as manifestement ajouté des dépôts de logiciels te fournissant des versions récentes (celles de la future Ubuntu 18.04 !) de bibliothèques. À ta place, je downgraderais/supprimerais tous les paquets installés depuis ce dépôt (par exemple en utilisant le bouton « Origine » du « Gestionnaire de paquets Synaptic », dans les « Paramètres système », et le menu Paquet/Forcer la version… ou Ctrl+E) et supprimerais ce dépôt.

Par ailleurs, et comme te le dit 'apt-get"', 'sudo apt-get autoremove' te supprimerait des paquets installés automatiquement mais qui ne sont plus nécessaires. Enfin et surtout, il te faut réussir à revenir à une gestion fonctionnelle des paquets pour mettre à jour les 1196 paquets qui n’y sont pas : c’est dangereux pour la sécurité de ton système !

Stem
Offline
Joined: 05/03/2017

J'ai trouvé la source du problème. Je me suis trompé et ai ajouté un dépôt debian au fichier sourcse.list. #pebkac